tests:-
    t1, t2, t3, t4, t5, t6.

t1 :-
    regmatch("ab+c","abbbbbc",L,[],[]),
    format(user_error,"t1: ~w~n",[L]).

t2 :-
    regmatch("ab|bc","abbbbbc",L,[reg_extended],[]),
    format(user_error,"t2: ~w~n",[L]).

t3 :-
    regmatch("xx(ab+d|ab+c)xx","xxxxabbbbbcxxxxx",L,[reg_extended],[]),
    format(user_error,"t3: ~w~n",[L]).

t4 :-
    regmatch("x","asdkfjlsdjfXlskdjflksdjf",L),
    format(user_error,"t4: ~w~n",[L]).

t5 :-
    regmatch("x","asdkfjlsdjfXlskdjflksdjf",L,[reg_icase],[]),
    format(user_error,"t5: ~w~n",[L]).

t6 :-
    regcomp("xx((ba+b)|(ca+c))xx",C,[reg_extended,reg_icase]),
    (	regexec("xxbaabxx",C,R),
	format(user_error,"t6: ~w~n",[R]),
	fail
    ;	regexec("xxbacabxx",C,R),
	format(user_error,"t6: ~w~n",[R]),
	fail
    ;   regexec("xxcaaacxx",C,R),
	format(user_error,"t6: ~w~n",[R]),
	fail
    ;   true
    ),
    regfree(C).
    
/*
t1: []
t2: [[97,98]]
t3: [[120,120,97,98,98,98,98,98,99,120,120],[97,98,98,98,98,98,99]]
t4: []
t5: [[88]]
t6: [[120,120,98,97,97,98,120,120],[98,97,97,98],[98,97,97,98],[]]
t6: []
t6: [[120,120,99,97,97,97,99,120,120],[99,97,97,97,99],[],[99,97,97,97,99]]
*/
